#pragma once
#include "afxcmn.h"

#include <string>

// UserList dialog
class UserList : public CDialog
{
    DECLARE_DYNAMIC(UserList)

    CListCtrl userList_;
    std::wstring selectedUsers_;
public:
    UserList(CWnd* pParent = NULL);   // standard constructor
    virtual ~UserList();

    const std::wstring& GetSelectedUsers()const;

// Dialog Data
    enum { IDD = IDD_USERLIST };

private:
    void UpdateUsers();

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

    DECLARE_MESSAGE_MAP()
public:
    virtual BOOL OnInitDialog();
    afx_msg void OnBnClickedButtonOk();
    afx_msg void OnBnClickedButtonCancel();

protected:
	virtual void OnOK();
};
