// GUIView.h : interface of the CGUIView class
//


#pragma once


class CGUIView : public CView
{
protected: // create from serialization only
    CGUIView();
    DECLARE_DYNCREATE(CGUIView)

// Attributes
public:
    CGUIDoc* GetDocument() const;

// Operations
public:

// Overrides
    public:
    virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
    virtual ~CGUIView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
    DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in GUIView.cpp
inline CGUIDoc* CGUIView::GetDocument() const
   { return reinterpret_cast<CGUIDoc*>(m_pDocument); }
#endif

